Package org.pgpainless.sop

# Class ListProfilesImpl

java.lang.Object
org.pgpainless.sop.ListProfilesImpl

All Implemented Interfaces:
  `sop.operation.ListProfiles`

public class ListProfilesImpl extends Object implements sop.operation.ListProfiles
Implementation of the

    list-profiles

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`ListProfilesImpl()`

## Method Summary

Modifier and Type
Method
Description
`List<sop.Profile>`
`subcommand(String command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.ListProfiles

`encrypt, generateKey`

## Constructor Details

### ListProfilesImpl

public ListProfilesImpl()

## Method Details

### subcommand

public List<sop.Profile> subcommand(String command)

Specified by:
  `subcommand` in interface `sop.operation.ListProfiles`